# VOB Data Set Loader

VDSL provides a way to describe a sequence of simulated user actions interacting with the IBM Rational ClearCase version control system.  Special config files define the sequence of user actions, config specs to use, views and VOBs to create and destroy.  This is useful, for example, in organizations that operate both ClearCase and Perforce in parallel, as it makes it easier to develop and test tools which must extract user actions from ClearCase.

The core utility is the `vdsl.sh` shell script, which process config files to load simulated history.  This parses a special config file that is essentially a language for executing an ordered sequence of ClearCase actions, such as creating VOBs and views, and executing custom scripts to execute various file actions such as adds, edits, deletes, renames, etc.

## USAGE for vdsl.sh v1.2.0:

    vdsl.sh [-c <cfg_file>] [-L <log>] [-si] [-v<n>] [-n] [-D]

    or

    vdsl.sh [-h|-man]


### CONFIG FILE FORMAT
See the sample *.cfg files included with this software.

The format allows for variable definitions and verbs.  For
example, the VOBSTORE variable defines where VOBs are store,
and CS defines the config spec of the next view to be created.

Some Verbs included are:

* TITLE - Defines a title
* SCRIPT - Defines a custom action script to run in a view.
* RUN - Runs an action script in a view.
* RMVOB - Removes a VOB.
* MKVOB - Makes a VOB.
* RMVIEW - Removes a view.
* MKVIEW - Makes a view.
* EXTRACT - Call the VCC2P4 tool to extract history.
* CAPTURE - Capture extracted history result, including the resulting file structure from any view (e.g. from the perspective of different branches).
* END - Stop processing.

### DEPENDENCIES

This tool requires that the following software be installed:

* IBM Rational ClearCase, with cleartool in the PATH.

* VCC2P4 ([VIZIM](http://www.vizim.com) ClearCase to Perforce detailed history import tool),
  with VCC2P4_HOME variable defined.  This implies other dependencies,
  including Perl and a few Perl modules available from CPAN, the
  Contributed Perl Archive Network (a freely available repository of
  open source Perl modules).

* Bash shell and a Unix/Linux environment.

